Bug 65071 - Mouse pointer and cursor shifted
Summary: Mouse pointer and cursor shifted
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-16 22:53 UTC by Kirby
Modified: 2016-10-03 20:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-02 13:47:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xdpyinfo output (3.00 KB, text/plain)
2002-05-16 22:55 UTC, Kirby
no flags Details
Xv3 Configuration (12.71 KB, text/plain)
2002-05-19 12:55 UTC, Kirby
no flags Details
Xv4 configuration file (1.75 KB, text/plain)
2002-05-19 12:56 UTC, Kirby
no flags Details
Expands into a 2 Meg file. lots of repeated lines (13.76 KB, application/octet-stream)
2002-05-19 13:17 UTC, Kirby
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 65071 master MERGED cleanup: Remove dead code from storageServer.py 2016-10-03 20:52 UTC

Description Kirby 2002-05-16 22:53:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
After using my system for a little while the mouse pointer and the "active"
point on the screen don't line up. The pointer is about .5 inches to the right
of where the mouse is actually pointing. The only way I have been able reset it
is to reboot the machine. The problem appears with XFree86 version 3 & 4. I have
tried several different mouse selections with mouseconfig and it makes no
difference. I use Netscape 4.9 for mail and Mozilla for browsing.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use X.
2.
3.
	

Actual Results:  After some period of time the mouse shifts.

Additional info:

xdpyinfo is attached

Comment 1 Kirby 2002-05-16 22:55:01 UTC
Created attachment 57664 [details]
xdpyinfo output

Comment 2 Mike A. Harris 2002-05-18 00:37:30 UTC
Please attach your X server log and config file using the link below.

Comment 3 Kirby 2002-05-19 12:55:31 UTC
Created attachment 57906 [details]
Xv3 Configuration

Comment 4 Kirby 2002-05-19 12:56:18 UTC
Created attachment 57907 [details]
Xv4 configuration file

Comment 5 Kirby 2002-05-19 13:17:26 UTC
Created attachment 57908 [details]
Expands into a 2 Meg file. lots of repeated lines

Comment 6 Mike A. Harris 2002-05-28 10:00:22 UTC
Add Option "swcursor" to the Device section of your config file, and restart X.
Does the problem go away?

Comment 7 Alan Hourihane 2002-05-28 10:28:47 UTC
This is a bug in the trident chip.

Option "swcursor" will fix it.

But to get rid of all those messages too.....

Download a new driver from http://www.xfree86.org/~alanh
and pop it in /usr/X11R6/lib/modules/drivers.

Make sure you backup the old one, just in case. You won't need
the swcursor option with the new driver.

Comment 8 Kirby 2002-06-02 13:47:16 UTC
The "Option swcursor" change fixed the problem as predicted. I will download the
new driver and give it a spin.

Comment 9 Mike A. Harris 2002-08-08 10:40:52 UTC
Alan's new driver is in rawhide.  Please reopen this bug report if
the new Limbo beta and rawhide XFree86 still cause this problem.




Note You need to log in before you can comment on or make changes to this bug.